<?
/**
 * EKO WP PLUGIN MODULE HEADER
 *
 * @module: events
 * @name: Mural de Eventos
 * @description: Disponibiliza uma lista de eventos com moderao pelo administrador e links relacionados com o mdulo de galeria de imagens e posts.
 * @version: 0.3
 * @created: 2009-07-16
 * @modified: 2010-01-14
 * @author: Igo Santos
 * @author_email: web@igosantos.com
 * @author_url: www.igosantos.com
 * @actions: eko_events,eko_events_config
 * @required_modules: core
 *
 *    Copyright (C) 2009  Igo Santos <web@igosantos.com>
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 **/


//update the module database tables
function eko_events_db_update()
{
	$sql[0] = "CREATE TABLE IF NOT EXISTS ".EKO_DB_PREFIX."eko_events(`id` int(11) NOT NULL auto_increment PRIMARY KEY);";
	$sql[1] = "ALTER TABLE ".EKO_DB_PREFIX."eko_events ADD COLUMN `id_user` int(11) NOT NULL;";
	$sql[2] = "ALTER TABLE ".EKO_DB_PREFIX."eko_events ADD COLUMN `nome` varchar(255) collate utf8_unicode_ci default NULL;";
	$sql[3] = "ALTER TABLE ".EKO_DB_PREFIX."eko_events ADD COLUMN `tipo` varchar(255) collate utf8_unicode_ci default NULL;";
	$sql[4] = "ALTER TABLE ".EKO_DB_PREFIX."eko_events ADD COLUMN `data` date NOT NULL;";
	$sql[5] = "ALTER TABLE ".EKO_DB_PREFIX."eko_events ADD COLUMN `info` varchar(255) collate utf8_unicode_ci default NULL;";
	$sql[6] = "ALTER TABLE ".EKO_DB_PREFIX."eko_events ADD COLUMN `descricao` text collate utf8_unicode_ci;";
	$sql[7] = "ALTER TABLE ".EKO_DB_PREFIX."eko_events ADD COLUMN `post_id` int(11) NOT NULL;";
	$sql[8] = "ALTER TABLE ".EKO_DB_PREFIX."eko_events ADD COLUMN `album_url` varchar(255) collate utf8_unicode_ci default NULL;";
	$sql[9] = "ALTER TABLE ".EKO_DB_PREFIX."eko_events ADD COLUMN `publicado` int(11) NOT NULL;";
	$sql[10] = "ALTER TABLE ".EKO_DB_PREFIX."eko_events ADD COLUMN `destaque` int(11) NOT NULL;";

	$sql[11] = "CREATE TABLE IF NOT EXISTS ".EKO_DB_PREFIX."eko_events_config (`id` int(11) NOT NULL auto_increment PRIMARY KEY);";
	$sql[12] = "ALTER TABLE ".EKO_DB_PREFIX."eko_events_config ADD COLUMN `nome` VARCHAR( 255 ) NOT NULL;";
	$sql[13] = "ALTER TABLE ".EKO_DB_PREFIX."eko_events_config ADD COLUMN `valor` VARCHAR( 255 ) NOT NULL;";

	$sql[14] = "INSERT INTO `".EKO_DB_PREFIX."eko_events_config` (`id`, `nome`, `valor`) VALUES (1, 'anyone_can_register', '1')";
	$sql[15] = "INSERT INTO `".EKO_DB_PREFIX."eko_events_config` (`id`, `nome`, `valor`) VALUES (2, 'show_email', '1')";
	
	$ret = array();

	$erros = "";
	
	for($i=0;$i<count($sql);$i++)
	{
		if (!mysql_query($sql[$i])) $erros .="<li>[SQL$i]:".mysql_error()."</li>";
	};
	
	if($erros=="")
	{
		$ret[0] = true;
		$ret[1] = "";
	}
	else
	{
		$ret[0] = false;
		$ret[1] = $erros;
	};

	return $ret;

};

//drop previously created database tables
function eko_events_db_drop()
{
	$sql[0] = "DROP TABLE IF EXISTS ".EKO_DB_PREFIX."eko_events_config;";
	$sql[1] = "DROP TABLE IF EXISTS ".EKO_DB_PREFIX."eko_events_x_users;";
	$sql[2] = "DROP TABLE IF EXISTS ".EKO_DB_PREFIX."eko_events;";
	
	$ret = array();

	$erros = "";
	
	for($i=0;$i<count($sql);$i++)
	{
		if (!mysql_query($sql[$i])) $erros .="<li>[SQL$i]:".mysql_error()."</li>";
	};
	
	if($erros=="")
	{
		$ret[0] = true;
		$ret[1] = "";
	}
	else
	{
		$ret[0] = false;
		$ret[1] = $erros;
	};

	return $ret;
};

//check if the required database tables are installed.
function eko_events_db_check()
{
	$sql[0] = "SELECT id,nome,valor FROM ".EKO_DB_PREFIX."eko_events_config"." LIMIT 1;";
	$sql[1] = "SELECT id,id_user,nome,tipo,data,info,descricao,post_id,album_url,publicado,destaque FROM ".EKO_DB_PREFIX."eko_events"." LIMIT 1;";
	
	for ($i=0;$i<count($sql);$i++) if (!mysql_query($sql[$i])) return false;
	
	$sql_check_config[0] = "SELECT id FROM ".EKO_DB_PREFIX."eko_events_config WHERE id = 1 AND nome = 'anyone_can_register'";
	$sql_check_config[1] = "SELECT id FROM ".EKO_DB_PREFIX."eko_events_config WHERE id = 2 AND nome = 'show_email'";
	
	for ($i=0;$i<count($sql_check_config);$i++)
	{
		if ($rs = mysql_query($sql_check_config[$i]))
		{
			if(mysql_num_rows($rs)==0) return false;
		}
		else
		{
			return false;
		};
		
	};
	
	return true;
};

//the module css
function eko_events_css()
{
	?>
    /* eko_events_css <-style> */
	/*
		.eko_events_moderate-table {
			width:100%;
		}
		.eko_events_moderate-table td {
		}
		
		.eko_events_list table {
			
		}
		
		.eko_events_list .alternate {
			background:#fafafa;
			padding:10px 0px 10px 0px;
			margin:10px 0px 10px 0px;
			border:#ddd 1px solid;
		}
		
		.eko_events_list table tr th, .eko_events_list table tr td {
			padding:4px;
			margin:4px;
		}

		.eko_events_list table tr th {
			text-align:right;
		}
		
		.eko_events_list h3 {
			color:#AAA;
			font-size:16px;
			font-weight:bold;
			padding:0px;
			margin:0px;
		}
		
		.eko_events_list h2 a{
			color:#09f;
			font-size:20px;
			padding:0px;
			margin:0px;
		}
		
		.eko_events_list p {
			padding:0px;
			margin:0px;
		}
		
		.eko_events_list_nextev, .eko_events_list_lastev {
			border:#ddd 1px solid;
			background:#fafafa;
			padding:10px 10px 10px 10px;
			margin:10px 0px 10px 0px;
		}
		
		.eko_events_list_nextev h2, .eko_events_list_lastev h2 {
			color:#f90;
			font-size:20px;
			padding:0px;
			margin:0px;
		}
        
        /* verso 0.3 */
        .eko_events_h2 {
			color:#f90;
			font-size:20px;
			padding:10px;
			margin:5px 0px 5px 0px;	
			border:#ccc 1px solid;
			background:#fafafa;
		}
        
        .eko_events_newevent {
			font-size:12px;
			padding:2px 10px 2px 10px;
        }
        
        .eko_events_h2 a {
 			 color:#f90;
        }
        
		.eko_events_alternate {
			background:#fafafa;
			padding:10px 0px 10px 0px;
			margin:10px 0px 10px 0px;
			border:#ddd 1px solid;
		}
		
        .eko_events_item_table_tipo h2 {
			font-size:16px;
			font-weight:bold;
			margin:0px;
			padding:0px;
		}
		
		.eko_events_item_table_desc h2 {
			margin:0px;
			padding:0px;
			font-size:18px;
			font-weight:bold;
		}
		
		.eko_events_item_table_desc p {
			margin:5px 0px 5px 0px;
			padding:0px;
		}
		
		.eko_events_table_buttons {
			padding:0px 5px 10px 5px;
		}
    <?
};

//the config form
function eko_events_config()
{
	//check if the databases are installed. if not, exit function.
	if(!eko_events_db_check())
	{
		_warning("Banco de dados n&atilde;o instalado","As tabelas deste m&oacute;dulo ainda n&atilde;o foram instaladas.","./","OK");
		return;
	}
	?>
	<fieldset class="eko_fieldset">
		<legend>Formul&aacute;rio de configura&ccedil;&atilde;o:</legend>
		<?
		//check the correct permission!
		eko_core_configform("events",19,eko_get_page_url("eko_events"));
		?>
	</fieldset>
	
	<h3>Instru&ccedil;&otilde;es:</h3>
	<p>Para atualizar as configura&ccedil;&otilde;es deste m&oacute;dulo, altere os campos do formul&aacute;rio acima e clique em &quot;Salvar&quot;.</p>
	<p>Veja abaixo a descri&ccedil;&atilde;o dos campos do formul&aacute;rio:</p>
	
	<ul>
		<li>
			<b>anyone_can_register:</b>
			<ul>
				<li>Se configurado com 0, apenas moderadores poder&atilde;o adicionar eventos. Se configurado com 1, qualquer usu&aacute;rio poder&aacute; cadastrar um evento.</li>
			</ul>
		</li>
		<li>
			<b>show_email:</b>
			<ul>
				<li>Mostrar ou n&atilde;o o email do usu&aacute;rio que cadastrou o evento.</li>
			</ul>
		</li>
	</ul>
	<?
};

//get the module settings
function eko_events_getconfig($nome)
{
	return eko_core_getconfig($nome,"events");
};

//used in some functions
function eko_events_list_itens($sql,$html_before="",$html_after="")
{
		if($rs = mysql_query($sql))
		{
			if(mysql_num_rows($rs)>0) echo $html_before;
			$i=0;
			while($arr=mysql_fetch_array($rs))
			{
				?>
                <div class="<?=(($i%2)==0) ? "" : "eko_events_alternate" ;?>">
                    <table class="eko_form-table">
                        <tr>
                            <th rowspan="3">&nbsp;</th>
                            <td class="eko_events_item_table_tipo"><h2><?=$arr["tipo"];?></h2></td>
                        </tr>
                        <tr>
                            <td class="eko_events_item_table_desc">
                                <b><?=date("d/m/Y",strtotime($arr["data"]));?></b>
                                <h2><a href="<?=eko_get_page_url("eko_events","eko_action=7&eko_evt_id=".$arr["id"])?>"><?=$arr["nome"];?></a></h2>
                                <p><a href="<?=eko_get_page_url("eko_events","eko_action=7&eko_evt_id=".$arr["id"])?>"><?=linebreakToTag($arr["descricao"]);?></a></p>
                            </td>
                        </tr>
                        <tr>
                            <td>
                            <?
							if(getaccess(20))
							{
								?>
                                <a href="<?=eko_get_page_url("eko_events","eko_action=3&eko_evt_id=".$arr["id"])?>"><b>[editar]</b></a>
                                <a href="<?=eko_get_page_url("eko_events","eko_action=4&eko_evt_id=".$arr["id"])?>"><b>[excluir]</b></a>
                                <?
							}
							?>
                            <?
							/*
							if(getaccess(19))
							{
								?>
                                <a href="<?=eko_get_page_url("eko_events","eko_action=5")?>"><b>[configurar]</b></a>
                                <?
							}
							*/
							?>
                            &nbsp;
                            </td>
                        </tr>
                        <?
						if($arr["info"]!="")
						{
							?>
							<tr>
								<th nowrap="nowrap">Mais informa&ccedil;&otilde;es:</th>
								<td><?=$arr["info"];?></td>
							</tr>
							<?
						}
						?>
                        <tr>
                            <th nowrap="nowrap">Postado por:</th>
                            <td>
                            <?
								$user = get_userdata($arr["id_user"]);
								echo $user->display_name;
								echo (eko_events_getconfig("show_email")=="1") ? "&nbsp;&lt;".$user->user_email."&gt;" : "" ;
							?>
                            </td>
                        </tr>
                        <?
						if($arr["post_id"]!=0)
						{
							$post = get_post($arr["post_id"]);
							?>
                            <tr>
                                <th nowrap="nowrap">Post relacionado:</th>
                                <td><a href="<?=get_permalink($arr["post_id"]);?>"><?=$post->post_title;?></a></td>
                            </tr>
                            <?
						};
						?>
                        <? if($arr["album_url"]!="") { ?>
                        <tr>
                        	<th>&Aacute;lbum:</th>
                            <td><a href="<?= $arr["album_url"] ?>"><?= $arr["album_url"] ?></a></td>
                        </tr>
                        <? } ?>
                    </table>
                </div>
                <?
				$i++;
			};
			if(mysql_num_rows($rs)>0) echo $html_after;
		}
		else
		{
			_warning("Erro ao listar eventos","<li>".mysql_error()."</li>");
		};
};

//list next and last events
function eko_events_list()
{
	//check if the databases are installed. if not, exit function.
	if(!eko_events_db_check())
	{
		_warning("Banco de dados n&atilde;o instalado","As tabelas deste m&oacute;dulo ainda n&atilde;o foram instaladas.","./","OK");
		return;
	}
	?>
    
    <div class="eko_events_list_buttons">
    	<? if(getaccess(19)) { ?> <a href="<?=eko_get_page_url("eko_events","eko_action=5")?>"><b>[Configurar este m&oacute;dulo]</b></a><? } ?>
        <? if(getaccess(21)||eko_events_getconfig("anyone_can_register")=="1") { ?> <a href="<?=eko_get_page_url("eko_events","eko_action=1");?>">[+] Clique aqui para adicionar um evento!</a> <? } ?>
    </div>
    <?
	
    if(getaccess(20)) eko_events_list_itens("SELECT * FROM ".EKO_DB_PREFIX."eko_events WHERE publicado = 0 ORDER BY data ASC LIMIT 10","<h2 class=\"eko_events_h2 eko_events_notpublic\">Eventos N&atilde;o Publicados:</h2>");
	eko_events_list_itens("SELECT * FROM ".EKO_DB_PREFIX."eko_events WHERE publicado = 1 AND data >= CURDATE() ORDER BY data ASC LIMIT 10","<h2 class=\"eko_events_h2 eko_events_nextevents\">Pr&oacute;ximos Eventos:</h2>");
	eko_events_list_itens("SELECT * FROM ".EKO_DB_PREFIX."eko_events WHERE publicado = 1 AND data < CURDATE() ORDER BY data ASC LIMIT 10","<h2 class=\"eko_events_h2 eko_events_lastevents\">Eventos Recentes:</h2>");
};

//add events action
function eko_events_add()
{
	//check if the databases are installed. if not, exit function.
	if(!eko_events_db_check())
	{
		_warning("Banco de dados n&atilde;o instalado","As tabelas deste m&oacute;dulo ainda n&atilde;o foram instaladas.","./","OK");
		return;
	}
	
	if(getaccess(21)||eko_events_getconfig("anyone_can_register")=="1")
	{
		if($_SERVER['REQUEST_METHOD']=="POST")
		{
			$nome = $_REQUEST["nome"];
			$tipo = $_REQUEST["tipo"];
			$data = $_REQUEST["data"];
			$info = $_REQUEST["info"];
			$descricao = $_REQUEST["descricao"];
		
			if(is_user_logged_in())
			{
				$user = wp_get_current_user();
				$id_user = $user->ID;
			}
			else
			{
				$id_user = 0;
			};
			
			$sql = "
					INSERT INTO ".EKO_DB_PREFIX."eko_events 
						(
						 id,
						 id_user,
						 nome,
						 tipo,
						 data,
						 info,
						 descricao
						)
					VALUES (
						NULL,
						'$id_user',
						'$nome',
						'$tipo',
						'$data',
						'$info',
						'$descricao'
					)";
					
			if(mysql_query($sql))
			{
				_info("Evento cadastrado","As informa&ccedil;&otilde;es foram cadastradas com sucesso. Aguarde a aprova&ccedil;&atilde;o do moderador para que o evento seja publicado.",eko_get_page_url("eko_events"));
			}
			else
			{
				_warning("Erro ao cadastar evento","<li>".mysql_error()."</li>");
			}
		};
		?>
		<form method="post">
			<table class="eko_form-table">
				<tr>
					<th><b>Tipo:</b></th>
					<td>
						<select name="tipo">
							<option value="SHOW">SHOW</option>
							<option value="REUNI&Atilde;O">REUNI&Atilde;O</option>
							<option value="RETIRO">RETIRO</option>
							<option value="CONGRESSO">CONGRESSO</option>
							<option value="INTERCAMBIO">INTERCAMBIO</option>
							<option value="CARAVANA">CARAVANA</option>
							<option value="OUTROS">OUTROS</option>
						</select>
					</td>
				</tr>
				<tr>
					<th><b>Nome:</b></th>
					<td><input type="text" name="nome" /></td>
				</tr>
				<tr>
					<th><b>Data:</b></th>
					<td>
						<script>eko_dateinput('data')</script>
					</td>
				</tr>
				<tr>
					<th><b>Contato:</b></th>
					<td><input type="text" name="info" /></td>
				</tr>
				<tr>
					<th><b>Descri&ccedil;&atilde;o:</b></th>
					<td><textarea name="descricao" style="height:120px;"></textarea></td>
				</tr>
				<tr>
					<th>&nbsp;</th>
					<td><button onclick="this.form.submit();return false;">Cadastrar</button>&nbsp;&nbsp;<button onclick="document.location='<?=eko_get_page_url("eko_events");?>';return false;">Voltar</button></td>
				</tr>
			</table>
		</form>
		<?
	}
	else
	{
		_noaccess();
	};
};

//view event action
function eko_events_view()
{
	//check if the databases are installed. if not, exit function.
	if(!eko_events_db_check())
	{
		_warning("Banco de dados n&atilde;o instalado","As tabelas deste m&oacute;dulo ainda n&atilde;o foram instaladas.","./","OK");
		return;
	}
	
	$sql = "SELECT * FROM ".EKO_DB_PREFIX."eko_events WHERE publicado = 1 AND id = ".$_REQUEST["eko_evt_id"]." ORDER BY data ASC LIMIT 10";
	eko_events_list_itens($sql);
};

//edit event action
function eko_events_edit()
{
	//check if the databases are installed. if not, exit function.
	if(!eko_events_db_check())
	{
		_warning("Banco de dados n&atilde;o instalado","As tabelas deste m&oacute;dulo ainda n&atilde;o foram instaladas.","./","OK");
		return;
	}
	
	//check user permission
	if(!getaccess(20))
	{
		_noaccess();
		return;
	};
	
	//get the event data
	$id_evento = $_REQUEST["eko_evt_id"];
	
	if($_SERVER['REQUEST_METHOD']=="POST")
	{
		$nome = $_REQUEST["nome"];
		$id_user = $_REQUEST["id_user"];
		$tipo = $_REQUEST["tipo"];
		$data = $_REQUEST["data"];
		$info = $_REQUEST["info"];
		$descricao = $_REQUEST["descricao"];
		$post_id = $_REQUEST["post_id"];
		$album_url = $_REQUEST["album_url"];
		$publicado = $_REQUEST["publicado"];
		$destaque = $_REQUEST["destaque"];
		$sql = "
			UPDATE ".EKO_DB_PREFIX."eko_events
			SET 
				nome = '$nome',
				id_user = '$id_user',
				tipo = '$tipo',
				data = '$data',
				info = '$info',
				descricao = '$descricao',
				post_id = '$post_id',
				album_url = '$album_url',
				publicado = '$publicado',
				destaque = '$destaque'
			WHERE
				id = ".$id_evento."
			";
			
		if(mysql_query($sql))
		{
			_info("Evento atualizado","O evento foi atualizado com sucesso.",eko_get_page_url("eko_events"));
		}
		else
		{
			_warning("Erro ao atualizar evento","<li>".mysql_error()."</li>");
		};
	}
	
	$sql = "SELECT * FROM ". EKO_DB_PREFIX  ."eko_events WHERE id = $id_evento";
	if($rs = mysql_query($sql))
	{
		//not found
		if(mysql_num_rows($rs)==0)
		{
			_warning("Erro ao Acessar Evento","<li>N&atilde;o foi encontrado nenhum evento registrado com o ID especificado.</li>");
		}
		//we have found an event...
		else
		{
			//fetch data...
			$arr = mysql_fetch_array($rs);
			
			?>
			<form method="post">
			<input type="hidden" name="eko_evt_editarsubmit" value="1" />
			<input type="hidden" name="id_evento" value="<?=$id_evento?>" />
			<table class="eko_form-table">
				<tr>
					<th>Usu&aacute;rio:</th>
					<td>
						<b>
						<?
						if($arr["id_user"]==0)
						{
							$user = wp_get_current_user();
							echo $user->display_name;
							echo "&nbsp;&lt;".$user->user_email."&gt; [atribu&iacute;do]"
							?>
							<input type="text" name="id_user" value="<?=$user->ID;?>" />
							<?
						}
						else
						{
							$user = get_userdata($arr["id_user"]);
							echo $user->display_name;
							echo "&nbsp;&lt;".$user->user_email."&gt;"
							?>
							<input type="text" name="id_user" value="<?=$user->ID;?>" />
							<?
						}
						?>
						</b>
					</td>
				</tr>
				<tr>
					<th>Nome:</th>
					<td><input type="text" name="nome" value="<?=$arr["nome"];?>" /></td>
				</tr>
				<tr>
					<th>Tipo:</th>
					<td><input type="text" name="tipo" value="<?=$arr["tipo"];?>" /></td>
				</tr>
				<tr>
					<th>Data:</th>
					<td><script>eko_dateinput('data','<?=date("Y-m-d",strtotime($arr["data"]))?>')</script></td>
				</tr>
				<tr>
					<th>Informa&ccedil;&otilde;es:</th>
					<td><input type="text" name="info" value="<?=$arr["info"];?>" /></td>
				</tr>
				<tr>
					<th>Descri&ccedil;&atilde;o:</th>
					<td><textarea name="descricao" ><?=$arr["descricao"];?></textarea></td>
				</tr>
				<tr>
					<th nowrap="nowrap">Post relacionado:</th>
					<td>
						<? eko_dropdown_posts(10,$arr["post_id"]); ?>
					</td>
				</tr>
				<tr>
					<th>URL do &aacute;bum:</th>
					<td><input type="text" name="album_url" value="<?=$arr["album_url"];?>" /></td>
				</tr>
				<?
				if (function_exists("eko_galeriasimples_dropdown_albums"))
				{
					?>
					<tr>
						<th nowrap="nowrap">&Aacute;lbum relacionado:</th>
						<td>
							<? eko_galeriasimples_dropdown_albums(10,$arr["album_id"]); ?>
						</td>
					</tr>
					<?
				}
				?>
				<tr>
					<th>Destaque:</th>
					<td>
						<select name="destaque">
							<option value="1" <?= ($arr["destaque"]==1) ? "selected=\"selected\"" : "" ;?> >Sim</option>
							<option value="0" <?= ($arr["destaque"]==0) ? "selected=\"selected\"" : "" ;?> >N&atilde;o</option>
						</select>
					</td>
				</tr>
				<tr>
					<th>Publicado:</th>
					<td>
						<select name="publicado">
							<option value="1" <?= ($arr["publicado"]==1) ? "selected=\"selected\"" : "" ;?> >Sim</option>
							<option value="0" <?= ($arr["publicado"]==0) ? "selected=\"selected\"" : "" ;?> >N&atilde;o</option>
						</select>
					</td>
				</tr>
				<tr>
					<th>&nbsp;</th>
					<td>
						<input type="submit" value="Atualizar" style="width:100px;" />
						<input type="submit" value="Voltar" style="width:100px;margin-left20px;" onclick="document.location='<?=eko_get_page_url("eko_events");?>';return false;" />
					</td>
				</tr>
			</table>
			</form>
			<?
		};
	}
	else
	{
		_warning("Erro ao acessar Evento","<li>".mysql_error()."</li>");
	}
};

//delete event
function eko_events_del()
{
	//check if the databases are installed. if not, exit function.
	if(!eko_events_db_check())
	{
		_warning("Banco de dados n&atilde;o instalado","As tabelas deste m&oacute;dulo ainda n&atilde;o foram instaladas.","./","OK");
		return;
	}
	
	if(getaccess(20))
	{
		$id_evento = $_REQUEST["eko_evt_id"];
		$sql = "DELETE FROM ". EKO_DB_PREFIX  ."eko_events WHERE id = $id_evento";
		if(mysql_query($sql))
		{
			_info("Sucesso!","O evento foi exclu&iacute;do com sucesso.",eko_get_page_url("eko_events"));
		}
		else
		{
			_warning("Erro ao excluir evento","<li>".mysql_error()."</li>");
		};
	}
	else
	{
		_warning("Erro ao acessar Evento","<li>".mysql_error()."</li>");
	};
};

//events widget
class eko_events_widget extends WP_Widget
{
	function eko_events_widget()
	{
        parent::WP_Widget(false, $name = 'Eko: Events');	
    }
	
    function widget($args, $instance)
	{		
        extract( $args );
		echo $before_widget;
		
		if(!eko_events_db_check())
		{
			?>Banco de dados n&atilde;o instalado.<?
		}
		else
		{
			//next events
			if ($instance['show_next_events']=="on")
			{
				$sql = "SELECT * FROM ".EKO_DB_PREFIX."eko_events WHERE publicado = 1 AND data >= CURDATE() ORDER BY data DESC LIMIT 10";
				if($rs = mysql_query($sql))
				{
					if(mysql_num_rows($rs)>0)
					{
						echo $before_title . $instance['title_next'] . $after_title;
						?>
						<ul>
							<?
							$i=0;
							while($arr=mysql_fetch_array($rs))
							{
								?>
								<li><a href="<?=eko_get_page_url("eko_events","eko_action=7&eko_evt_id=".$arr["id"])?>"><?=date("d/m",strtotime($arr["data"]));?> - <?=$arr["nome"];?></a></li>
								<?
								$i++;
							};
							?>
                            
                            <? if(($instance['show_add_event']=="on")&&(getaccess(21)||eko_events_getconfig("anyone_can_register")=="1")) { ?>
	                            <li><a href="<?=eko_get_page_url("eko_events","eko_action=1")?>"><b>[+] Adicionar um evento!</a></b></li>
                            <? } ?>
						</ul>
						<?
					};
				}
				else
				{
					_warning("Erro ao listar eventos","<li>".mysql_error()."</li>");
				};
			};
			
			//last events
			if ($instance['show_last_events']=="on")
			{
				$sql = "SELECT * FROM ".EKO_DB_PREFIX."eko_events WHERE publicado = 1 AND data < CURDATE() ORDER BY data DESC LIMIT 10";
				if($rs = mysql_query($sql))
				{
					if(mysql_num_rows($rs)>0)
					{
						echo $before_title . $instance['title_last'] . $after_title;
						?>
						<ul>
							<?
							$i=0;
							while($arr=mysql_fetch_array($rs))
							{
								?>
								<li><a href="<?=eko_get_page_url("eko_events","eko_action=7&eko_evt_id=".$arr["id"])?>"><?=date("d/m",strtotime($arr["data"]));?> - <?=$arr["nome"];?></a></li>
								<?
								$i++;
							};
							?>
                            <? if(($instance['show_add_event']=="on")&&(getaccess(21)||eko_events_getconfig("anyone_can_register")=="1")) { ?>
	                            <li><a href="<?=eko_get_page_url("eko_events","eko_action=1")?>"><b>[+] Adicionar um evento!</a></b></li>
                            <? } ?>
						</ul>
						<?
					};
				}
				else
				{
					_warning("Erro ao listar eventos","<li>".mysql_error()."</li>");
				};
			};
			
		};
		echo $after_widget;
    }

    function update($new_instance, $old_instance)
	{				
        return $new_instance;
    }

    function form($instance)
	{				
        ?>
            <p>
            	<label for="<?php echo $this->get_field_id('title_next'); ?>">
					<?php _e('Next Events Title:'); ?> 
                    <input class="widefat" id="<?php echo $this->get_field_id('title_next'); ?>" name="<?php echo $this->get_field_name('title_next'); ?>" type="text" value="<?php echo esc_attr($instance['title_next']) ?>" />
                </label>
            </p>
            <p>
            	<label for="<?php echo $this->get_field_id('title_last'); ?>">
					<?php _e('Last Events Title:'); ?> 
                    <input class="widefat" id="<?php echo $this->get_field_id('title_last'); ?>" name="<?php echo $this->get_field_name('title_last'); ?>" type="text" value="<?php echo esc_attr($instance['title_last']) ?>" />
                </label>
            </p>
            <p>
            	<label for="<?php echo $this->get_field_id('show_next_events'); ?>">
                    <input type="checkbox" id="<?php echo $this->get_field_id('show_next_events'); ?>" name="<?php echo $this->get_field_name('show_next_events'); ?>" <?= (esc_attr($instance['show_next_events'])=="on") ? "checked=\"checked\"" : "" ?> />
					<?php _e('Show next events'); ?> 
                </label>
            </p>
            <p>
            	<label for="<?php echo $this->get_field_id('show_last_events'); ?>">
                    <input type="checkbox" id="<?php echo $this->get_field_id('show_last_events'); ?>" name="<?php echo $this->get_field_name('show_last_events'); ?>" <?= (esc_attr($instance['show_last_events'])=="on") ? "checked=\"checked\"" : "" ?> />
					<?php _e('Show last events'); ?> 
                </label>
            </p>
            <p>
            	<label for="<?php echo $this->get_field_id('show_add_event'); ?>">
                    <input type="checkbox" id="<?php echo $this->get_field_id('show_add_event'); ?>" name="<?php echo $this->get_field_name('show_add_event'); ?>" <?= (esc_attr($instance['show_add_event'])=="on") ? "checked=\"checked\"" : "" ?> />
					<?php _e('Show add event'); ?> 
                </label>
            </p>
        <?php 
    }
};
add_action('widgets_init', create_function('', 'return register_widget("eko_events_widget");'));

//main action
function eko_events()
{
	switch($_REQUEST["eko_action"])
	{
		case 1:
			eko_events_add();
			break;
		case 3:
			eko_events_edit();
			break;
		case 4:
			eko_events_del();
			break;
		case 5:
			eko_events_config();
			break;
		case 7:
			eko_events_view();
			break;
		default:
			eko_events_list();
			break;
	};
	
};


add_action("eko_css","eko_events_css");

?>